/*
 * Copyright 2020 dorkbox, llc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package dorkbox.network.rmi

/**
 * Callback for creating remote RMI classes
 */
@FunctionalInterface
interface RemoteObjectCallback<Iface> {
    /**
     * @param remoteObject the remote object (as a proxy object) or null if there was an error creating the RMI object
     */
    suspend fun created(remoteObject: Iface)
}
